// Textdateien_v1.cpp: Hauptprojektdatei.

#include "stdafx.h"

using namespace System;
using namespace System::IO;

int main(array<System::String ^> ^args)
{
   // in Textdatei schreiben
   StreamWriter^ sw = gcnew StreamWriter("C:\\temp\\ImNebel.txt");

   sw->WriteLine(" Seltsam, im Nebel zu wandern!");
   sw->WriteLine(" Einsam ist jeder Busch und Stein,");
   sw->WriteLine(" Kein Baum sieht den andern,");
   sw->WriteLine(" Jeder ist allein.");
   sw->WriteLine(" ...");
   sw->WriteLine("                        Hermann Hesse");

   sw->Close();


   // aus Textdatei lesen
   StreamReader^ sr = gcnew StreamReader("C:\\temp\\ImNebel.txt");

   String^ zeile;

   while( (zeile = sr->ReadLine()) != nullptr)
      Console::WriteLine(zeile);

   sr->Close();

   Console::ReadLine();
   return 0;
}